HTAGS(1)

NAME
htags - generate hypertext from C and Yacc source code

SYNOPSIS
htags [-a] [-l] [-v] [-w] [-d tagdir] [-t title] [dir]

DESCRIPTION
Htags makes hypertext from C and Yacc source code using GLOBAL database (GTAGS, GRTAGS).

In advance of using this command, you must execute gtags(1) at the root directory of the source tree. Then you can execute htags at the same place. Htags makes HTML directory and generate hypertext in it.

You can start browsing from 'HTML/index.html'. Once hypertext generated, you can move it anywhere and browse it by any browsers.

-a  make an alphabetical function index. It's suitable for large project.

-l  make name tag(<A NAME=lno>) for each line so that outer hypertext can point any line of this hypertext. By default, make it only for lines which have referred object.

-v  verbose mode.

-w  print warning message.

-d tagdir
    the directory in which GTAGS and GRTAGS exist. Default is current directory.

-t title
    Tile of this hypertext. Default is the last conponent of current path.

dir the directory in which hypertext generated. Default is current directory.

EXAMPLES
% cd /usr/src/sys # gtags -se # htags -vat 'Welcom to FreeBSD kernel source tour!' % lynx HTML/index.html

FILES
HTML/index.html
    Index file.
GTAGS
    tags file for function definitions.
GRTAGS
    tags file for function references.

ENVIRONMENT
The following environment variables affect the execution of htags.

TMPDIR
    If this variable is set, its value is used as the directory to make temporary file. Default is /tmp.

DIAGNOSTICS
Htags exits with a value of 1 if an error occurred, 0 otherwise.

SEE ALSO
gtags(1), btreeop(1)

BUG
Generated hypertext is VERY LARGE. In advance, check the space of your disk.

AUTHORS
Shigio Yamaguchi (shigio@wafu.netgate.net)

HISTORY
The htags command appeared in FreeBSD 2.2.